List or filter all Custom Activity instances

View as Markdown
Custom Fields appear in the format: `custom.{custom_field_id}`. See [Custom Fields](/resources/custom-fields/activity-custom-fields/). If you're filtering by `custom_activity_type_id` or `custom_activity_type_id__in` parameter, the `lead_id` parameter will be required as well. If you want to retrieve all Custom Activity instances of a specific type regardless of the lead, you will need to get leads that contain such an activity type using [Advanced Filtering](/resources/advanced-filtering/) and provide those Lead IDs one at a time to this endpoint.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

_limitintegerOptionalDefaults to 100
Number of results to return.
_skipintegerOptionalDefaults to 0
Number of results to skip before returning, for pagination.
id__inlist of strings or nullOptional

Filter by activity IDs (comma-separated)

lead_idlist of strings or nullOptional

Filter by lead IDs (comma-separated)

contact_idlist of strings or nullOptional

Filter by contact IDs (comma-separated)

user_idlist of strings or nullOptional

Filter by user IDs (comma-separated)

organization_idstring or nullOptional
_typelist of strings or nullOptional

Filter by activity type, e.g. Call (comma-separated)

date_created__gtedatetime or dateOptional
date_created__ltedatetime or dateOptional
date_created__gtdatetime or dateOptional
date_created__ltdatetime or dateOptional
activity_at__gtedatetime or dateOptional
activity_at__ltedatetime or dateOptional
activity_at__gtdatetime or dateOptional
activity_at__ltdatetime or dateOptional
custom_activity_type_idlist of strings or nullOptional
custom_activity_type_id__instringOptional

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error